Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F168167059
D21262.id60780.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D21262.id60780.diff
View Options
Index: Mk/Scripts/create-manifest.sh
===================================================================
--- Mk/Scripts/create-manifest.sh
+++ Mk/Scripts/create-manifest.sh
@@ -119,7 +119,7 @@
if head -1 "${message}" | grep -q '^\['; then
sed '1d;$d' "${message}"
else
- echo '{message=<<EOD'
+ echo '{type: install, message=<<EOD'
cat "${message}"
printf 'EOD\n},\n'
fi
Index: Mk/Scripts/qa.sh
===================================================================
--- Mk/Scripts/qa.sh
+++ Mk/Scripts/qa.sh
@@ -994,10 +994,23 @@
return $rc
}
+pkgmessage()
+{
+ for message in ${PKGMESSAGES}; do
+ if [ -f "${message}" ]; then
+ if ! head -1 "${message}" | grep -q '^\['; then
+ warn "${message} not in UCL format, it will be assumed to be an install only message."
+ fi
+ fi
+ done
+
+ return 0
+}
+
checks="shebang symlinks paths stripped desktopfileutils sharedmimeinfo"
checks="$checks suidfiles libtool libperl prefixvar baselibs terminfo"
checks="$checks proxydeps sonames perlcore no_arch gemdeps gemfiledeps flavors"
-checks="$checks license depends_blacklist"
+checks="$checks license depends_blacklist pkgmessage"
ret=0
cd ${STAGEDIR} || exit 1
Index: Mk/bsd.port.mk
===================================================================
--- Mk/bsd.port.mk
+++ Mk/bsd.port.mk
@@ -1601,6 +1601,7 @@
"STRIP=${STRIP}" \
TMPPLIST=${TMPPLIST} \
CURDIR='${.CURDIR}' \
+ PKGMESSAGES='${_PKGMESSAGES}' \
FLAVOR=${FLAVOR} \
FLAVORS='${FLAVORS}' \
BUNDLE_LIBS=${BUNDLE_LIBS} \
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Thu, Aug 27, 4:43 PM (22 h, 23 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
37402351
Default Alt Text
D21262.id60780.diff (1 KB)
Attached To
Mode
D21262: If pkg-message is not a UCL file, assume the message is "install" only.
Attached
Detach File
Event Timeline
Log In to Comment